Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dv
Interface ValidationContext

All Known Implementing Classes:
  ValidationState

Deprecated. please use JDK supplied XML parsers and transformers

    public interface ValidationContext

ValidationContext has all the information required for the validation of: id, idref, entity, notation, qname

Method Summary
`void` | `addId(String name)` Deprecated.
`void` | `addIdRef(String name)` Deprecated.
`String` | `getSymbol(String symbol)` Deprecated.
`String` | `getURI(String prefix)` Deprecated.
`boolean` | `isEntityDeclared(String name)` Deprecated.
`boolean` | `isEntityUnparsed(String name)` Deprecated.
`boolean` | `isIdDeclared(String name)` Deprecated.
`boolean` | `needExtraChecking()` Deprecated.
`boolean` | `needFacetChecking()` Deprecated.
`boolean` | `needToNormalize()` Deprecated.

Method Detail

### needFacetChecking

    boolean needFacetChecking()

  Deprecated.

### needExtraChecking

    boolean needExtraChecking()

  Deprecated.

### needToNormalize

    boolean needToNormalize()

  Deprecated.

### isEntityDeclared

    boolean isEntityDeclared(String name)

  Deprecated.

### isEntityUnparsed

    boolean isEntityUnparsed(String name)

  Deprecated.

### isIdDeclared

    boolean isIdDeclared(String name)

  Deprecated.

### addId

    void addId(String name)

  Deprecated.

### addIdRef

    void addIdRef(String name)

  Deprecated.

### getSymbol

    String getSymbol(String symbol)

  Deprecated.

### getURI

    String getURI(String prefix)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD